SMSQuery (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.sms.SMSQuery interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.sms
Interface SMSQuery

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SMSQuery

extends LogicalElement

SMS_Query class serves as a container for predefined queries. Ref Microsoft SMS 2003 SDK

Naming Rules:
  0="SMSHierarchy,queryID"
Persistable:
  true
Table Name:
  SMSQUERIES
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getComment()` Provides comments to document the query.
`java.lang.String` | `getExpression()` WMI Query Language (WQL) text.
`java.lang.String` | `getLimitToCollectionID()` Use to limit the query results to those resources that are members of the collection.
`java.lang.String` | `getName()` Name of the query as shown in the SMS Administrator console.
`java.lang.String` | `getQueryID()` Describes a unique, autogenerated key.example QueryID "SMS001"
`SMSHierarchy` | `getSMSHierarchy()`
`java.lang.String` | `getTargetClassName()` Use the name of the class found in the FROM clause of the query.
`boolean` | `hasComment()`
`boolean` | `hasExpression()`
`boolean` | `hasLimitToCollectionID()`
`boolean` | `hasName()`
`boolean` | `hasQueryID()`
`boolean` | `hasSMSHierarchy()`
`boolean` | `hasTargetClassName()`
`void` | `setComment(java.lang.String x)`
`void` | `setExpression(java.lang.String x)`
`void` | `setLimitToCollectionID(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setQueryID(java.lang.String x)`
`void` | `setSMSHierarchy(SMSHierarchy x)`
`void` | `setTargetClassName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getExpression

    java.lang.String getExpression()
                                   throws AttributeNotSetException

  WMI Query Language (WQL) text.

  Throws:
    `AttributeNotSetException`

### setExpression

    void setExpression(java.lang.String x)

### hasExpression

    boolean hasExpression()

### getLimitToCollectionID

    java.lang.String getLimitToCollectionID()
                                            throws AttributeNotSetException

  Use to limit the query results to those resources that are members of the collection.

  Throws:
    `AttributeNotSetException`

### setLimitToCollectionID

    void setLimitToCollectionID(java.lang.String x)

### hasLimitToCollectionID

    boolean hasLimitToCollectionID()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Name of the query as shown in the SMS Administrator console.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getComment

    java.lang.String getComment()
                                throws AttributeNotSetException

  Provides comments to document the query.

  Throws:
    `AttributeNotSetException`

### setComment

    void setComment(java.lang.String x)

### hasComment

    boolean hasComment()

### getQueryID

    java.lang.String getQueryID()
                                throws AttributeNotSetException

  Describes a unique, autogenerated key.example QueryID "SMS001"

  Throws:
    `AttributeNotSetException`

### setQueryID

    void setQueryID(java.lang.String x)

### hasQueryID

    boolean hasQueryID()

### getSMSHierarchy

    SMSHierarchy getSMSHierarchy()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSMSHierarchy

    void setSMSHierarchy(SMSHierarchy x)

### hasSMSHierarchy

    boolean hasSMSHierarchy()

### getTargetClassName

    java.lang.String getTargetClassName()
                                        throws AttributeNotSetException

  Use the name of the class found in the FROM clause of the query. The name you use is arbitrary for queries that perform a JOIN operation. The SMS Administrator console uses this property value for display purposes to give the user an idea of the data that the query returns.

  Throws:
    `AttributeNotSetException`

### setTargetClassName

    void setTargetClassName(java.lang.String x)

### hasTargetClassName

    boolean hasTargetClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD